﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Sound : MonoBehaviour {

	public AudioSource send;
	public AudioSource recieve;
	public AudioSource click;
	public AudioSource background;
	public float fadingSpeed = 0.1f;
	public AudioSource lose;
	public AudioSource win;

	public static Sound play;
	bool fading = true;
	float bgVolume;

	CTRL ctrl;

	void Start (){
		bgVolume = background.volume;
		background.volume = 0;
		ctrl = GameObject.Find("CTRL").GetComponent<CTRL>();
		play = this;
	}

	void Update (){
		if (fading && ctrl.gameState == CTRL.GameState.Game) {
			background.volume += fadingSpeed * Time.deltaTime;
			if (background.volume >= bgVolume) {
				background.volume = bgVolume;
				fading = false;
			}
		}
	}
}
