﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EVENTS : MonoBehaviour {

	public delegate void AddLove(float score);
	public static event AddLove OnAddLove;

	public delegate void React(string name);
	public static event React OnReact;

	public delegate void HisMessage(string name);
	public static event HisMessage OnHisMessage;

	public static void LoveAdd(float score) {
		OnAddLove(score);
	}

	public static void Reaction(string name) {
		OnReact(name);
	}

	public static void MessageHis(string name) {
		OnHisMessage(name);
	}

	/* Subscription */
	void OnEnable() {
		OnAddLove += Nothing;
		OnReact += Nothing2;
		OnHisMessage += Nothing3;
	}

	void OnDisable() {
		OnAddLove -= Nothing;
		OnReact -= Nothing2;
		OnHisMessage -= Nothing3;
	}

	/* placeholder methods */
	public void Nothing(float score) {

	}

	public void Nothing2(string name) {

	}

	public void Nothing3(string name) {
		Debug.Log(name);
	}
}
