﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class Message {

	public string name;

	public enum Kind {Listen, Talk, Flirt};
	public Kind kind;

	public string emojis;
	//public float[] scorePerPhase;	//-100 = total fail; +100 = total win
	public Vector2 optimalPhase;

	/*public Sprite hisReaction;
	public Sprite herFaceBad;
	public Sprite herFaceGood;
	public Sprite herBodyBad;
	public Sprite herBodyGood;*/

	public Message (Message copyFrom) {
		name = copyFrom.name;
		emojis = copyFrom.emojis;
		optimalPhase = copyFrom.optimalPhase;
		//scorePerPhase = copyFrom.scorePerPhase;

		/*hisReaction = copyFrom.hisReaction;
		herFaceBad = copyFrom.herFaceBad;
		herFaceGood = copyFrom.herFaceGood;
		herBodyBad = copyFrom.herBodyBad;
		herBodyGood = copyFrom.herBodyGood;*/
	}
}